Warehouse

All warehouse-related endpoints.

Get warehouses.

get

This endpoint retrieves warehouses from the parent application.

Path parameters
idintegerRequired

Optional parameter. optional The ID of the specific warehouse to retrieve.

Example: {"summary":"When the value is omitted","value":""}
Header parameters
X-Shipment-ModestringOptionalExample: SFN
Responses
chevron-right
200Success
application/json
get
/api/v1/warehouse/{id}

Get warehouse distribution centers.

get

This endpoint retrieves warehouse distribution centers from the parent application.

Path parameters
etw_availstringRequired

The ETW availability parameter.

Example: yes
Header parameters
X-Shipment-ModestringOptionalExample: SFN
Responses
chevron-right
200Success
application/json
get
/api/v1/warehouse/distribution_center/{etw_avail}

Get warehouses by country.

get

This endpoint retrieves warehouses filtered by country from the parent application.

Path parameters
countrystringRequired

The country code or name to filter warehouses.

Example: NG
Header parameters
X-Shipment-ModestringOptionalExample: SFN
Responses
chevron-right
200Success
application/json
get
/api/v1/warehouse/country/{country}

Last updated